Package com.ocient.jdbc.proto

## Interface PlanProtocol.IndexAggOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IndexAggOperator`, `PlanProtocol.IndexAggOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IndexAggOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `getColNames​(int index)` Deprecated.
`com.google.protobuf.ByteString` `getColNamesBytes​(int index)` Deprecated.
`int` `getColNamesCount()` Deprecated.
`List<String>` `getColNamesList()` Deprecated.
`String` `getColTypes​(int index)` The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` `getColTypesBytes​(int index)` The string representation of the type of ALL output columns
`int` `getColTypesCount()` The string representation of the type of ALL output columns
`List<String>` `getColTypesList()` The string representation of the type of ALL output columns
`String` `getDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` `getDbBytes()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.Disjunction` `getFilters​(int index)` Filter conditions to apply via index
`int` `getFiltersCount()` Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` `getFiltersList()` Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Filter conditions to apply via index
`String` `getIndexName()` Which index?
`com.google.protobuf.ByteString` `getIndexNameBytes()` Which index?
`String` `getIndexUuid()` `string index_uuid = 9;`
`com.google.protobuf.ByteString` `getIndexUuidBytes()` `string index_uuid = 9;`
`String` `getInputCols​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` `getInputColsBytes​(int index)` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` `getInputColsCount()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`List<String>` `getInputColsList()` The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` `getKeys​(int index)` The GROUP BY columns - can't be empty
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` The GROUP BY columns - can't be empty
`int` `getKeysCount()` The GROUP BY columns - can't be empty
`List<String>` `getKeysList()` The GROUP BY columns - can't be empty
`PlanProtocol.Disjunction` `getNonIndexFilters​(int index)` `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`int` `getNonIndexFiltersCount()` `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<PlanProtocol.Disjunction>` `getNonIndexFiltersList()` `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.DisjunctionOrBuilder` `getNonIndexFiltersOrBuilder​(int index)` `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getNonIndexFiltersOrBuilderList()` `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.AggregationOperator.AggregationOp` `getOps​(int index)` The aggregation operations to perform
`int` `getOpsCount()` The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` `getOpsList()` The aggregation operations to perform
`int` `getOpsValue​(int index)` The aggregation operations to perform
`List<Integer>` `getOpsValueList()` The aggregation operations to perform
`String` `getOutputCols​(int index)` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` `getOutputColsBytes​(int index)` The name to give to the columns created by each aggregation operation
`int` `getOutputColsCount()` The name to give to the columns created by each aggregation operation
`List<String>` `getOutputColsList()` The name to give to the columns created by each aggregation operation
`String` `getOutputColsTypes​(int index)` The types for the outputCols, in the same order
`com.google.protobuf.ByteString` `getOutputColsTypesBytes​(int index)` The types for the outputCols, in the same order
`int` `getOutputColsTypesCount()` The types for the outputCols, in the same order
`List<String>` `getOutputColsTypesList()` The types for the outputCols, in the same order
`PlanProtocol.SortPartition` `getPoint​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`int` `getPointCount()` `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<PlanProtocol.SortPartition>` `getPointList()` `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.SortPartitionOrBuilder` `getPointOrBuilder​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<? extends PlanProtocol.SortPartitionOrBuilder>` `getPointOrBuilderList()` `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`String` `getSchema()` The table schema
`com.google.protobuf.ByteString` `getSchemaBytes()` The table schema
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 8;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 8;`
`String` `getTableName()` The table name
`com.google.protobuf.ByteString` `getTableNameBytes()` The table name
`String` `getTableUuid()` `string table_uuid = 7;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 7;`
`PlanProtocol.Disjunction` `getTimeFilters​(int index)` Time filter disjunctions
`int` `getTimeFiltersCount()` Time filter disjunctions
`List<PlanProtocol.Disjunction>` `getTimeFiltersList()` Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` `getTimeFiltersOrBuilder​(int index)` Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getTimeFiltersOrBuilderList()` Time filter disjunctions

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSchema

    String getSchema()

    The table schema

`string schema = 1;`

Returns:
  The schema.

#### getSchemaBytes

    com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Returns:
  The bytes for schema.

#### getTableName

    String getTableName()

    The table name

`string tableName = 2;`

Returns:
  The tableName.

#### getTableNameBytes

    com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Returns:
  The bytes for tableName.

#### getIndexName

    String getIndexName()

    Which index?

`string indexName = 3;`

Returns:
  The indexName.

#### getIndexNameBytes

    com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Returns:
  The bytes for indexName.

#### getColNamesList

    @Deprecated
    List<String> getColNamesList()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Returns:
  A list containing the colNames.

#### getColNamesCount

    @Deprecated
    int getColNamesCount()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Returns:
  The count of colNames.

#### getColNames

    @Deprecated
    String getColNames​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colNames at the given index.

#### getColNamesBytes

    @Deprecated
    com.google.protobuf.ByteString getColNamesBytes​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colNames at the given index.

#### getFiltersList

    List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFilters

    PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersCount

    int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getDb

    String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

Returns:
  The db.

#### getDbBytes

    com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

Returns:
  The bytes for db.

#### getTableUuid

    String getTableUuid()

`string table_uuid = 7;`

Returns:
  The tableUuid.

#### getTableUuidBytes

    com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 7;`

Returns:
  The bytes for tableUuid.

#### getStorageSpaceUuid

    String getStorageSpaceUuid()

`string storage_space_uuid = 8;`

Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 8;`

Returns:
  The bytes for storageSpaceUuid.

#### getIndexUuid

    String getIndexUuid()

`string index_uuid = 9;`

Returns:
  The indexUuid.

#### getIndexUuidBytes

    com.google.protobuf.ByteString getIndexUuidBytes()

`string index_uuid = 9;`

Returns:
  The bytes for indexUuid.

#### getTimeFiltersList

    List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

#### getTimeFilters

    PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

#### getTimeFiltersCount

    int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

#### getTimeFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

#### getTimeFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

#### getKeysList

    List<String> getKeysList()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Returns:
  A list containing the keys.

#### getKeysCount

    int getKeysCount()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Returns:
  The count of keys.

#### getKeys

    String getKeys​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### getOpsList

    List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Returns:
  A list containing the ops.

#### getOpsCount

    int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Returns:
  The count of ops.

#### getOps

    PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The ops at the given index.

#### getOpsValueList

    List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Returns:
  A list containing the enum numeric values on the wire for ops.

#### getOpsValue

    int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of ops at the given index.

#### getInputColsList

    List<String> getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Returns:
  A list containing the inputCols.

#### getInputColsCount

    int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Returns:
  The count of inputCols.

#### getInputCols

    String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The inputCols at the given index.

#### getInputColsBytes

    com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the inputCols at the given index.

#### getOutputColsList

    List<String> getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Returns:
  A list containing the outputCols.

#### getOutputColsCount

    int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Returns:
  The count of outputCols.

#### getOutputCols

    String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputCols at the given index.

#### getOutputColsBytes

    com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputCols at the given index.

#### getOutputColsTypesList

    List<String> getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Returns:
  A list containing the outputColsTypes.

#### getOutputColsTypesCount

    int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Returns:
  The count of outputColsTypes.

#### getOutputColsTypes

    String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColsTypes at the given index.

#### getOutputColsTypesBytes

    com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColsTypes at the given index.

#### getPointList

    List<PlanProtocol.SortPartition> getPointList()

`repeated .xg.db.sqlPlans.SortPartition point = 16;`

#### getPoint

    PlanProtocol.SortPartition getPoint​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 16;`

#### getPointCount

    int getPointCount()

`repeated .xg.db.sqlPlans.SortPartition point = 16;`

#### getPointOrBuilderList

    List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()

`repeated .xg.db.sqlPlans.SortPartition point = 16;`

#### getPointOrBuilder

    PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 16;`

#### getNonIndexFiltersList

    List<PlanProtocol.Disjunction> getNonIndexFiltersList()

`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

#### getNonIndexFilters

    PlanProtocol.Disjunction getNonIndexFilters​(int index)

`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

#### getNonIndexFiltersCount

    int getNonIndexFiltersCount()

`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

#### getNonIndexFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getNonIndexFiltersOrBuilderList()

`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

#### getNonIndexFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getNonIndexFiltersOrBuilder​(int index)

`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

#### getColTypesList

    List<String> getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Returns:
  A list containing the colTypes.

#### getColTypesCount

    int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Returns:
  The count of colTypes.

#### getColTypes

    String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colTypes at the given index.

#### getColTypesBytes

    com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colTypes at the given index.